using System.Windows;

namespace Valg.EVA.Skanning.UserInterfaceElements.MainWindowProvider
{
    
    
    
    public class MainWindowProvider : IMainWindowProvider
    {
        private Window mainWindow;

        public MainWindowProvider()
        {

        }
        public Window GetMainWindow()
        {
            if (mainWindow != null)
            {
                return mainWindow;
            }

            return Application.Current.MainWindow;
        }

        public void SetMainWindowManually(Window window)
        {
            mainWindow = window;
        }
    }
}
